Subject: Re: asm statement in include/asm not ansi conform

From: Michel Dänzer <[email-masked]>
Date: Fri, 01 Sep 2000 12:48:13 +0200

Marc Dietrich wrote:
>
> On Thu, 31 Aug 2000, Benjamin Herrenschmidt wrote:
>
> > There's no support for the AGP bus mastering on PowerMac yet. I've been
> > running into trouble implementing that due to differences between what
> > the linux /dev/agpgart driver expect an AGP chipset to do, and what
> > Apple's UniNorth can actually do.
> >
> > I plan (this week-end) to look more closely at the r128 DRI code to see
> > how it uses the AGP and possibly implement a pmac-specific driver (at
> > least for now. Once I have working code, I can try to get the existing /
> > dev/agpgart driver redesigned).
>
> I fear this won't help much in my case (with b&w G3). Anyway there's still
> a lot to do. DRI is very unstable and it seems that some functions are
> missing.

It has been very stable for me so far, I suspect we have different definitions
for "stable". About the missing stuff (and any problems), please post to
[email-masked] or submit bugs to the DRI project at
SourceForge. I'm not currently aware of any major bug, so I don't really know
what to do :)

Michel

--
Earthling Michel Dänzer (MrCooper)  \  CS student and free software enthusiast
Debian GNU/Linux (powerpc,i386) user \   member of XFree86 and The DRI Project

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/